<?php

namespace Drupal\media_fotoweb;

use Drupal\media_library\MediaLibraryState;
use Drupal\media_library\MediaLibraryUiBuilder;

/**
 * Service decorator which builds the media library for Fotoweb.s
 */
class MediaFotowebLibraryUiBuilder extends MediaLibraryUiBuilder {

  /**
   * Build the media library content area for Fotoweb assets.
   *
   * Fotoweb is made for selecting all assets via the Fotoweb Browser.
   * Therefore we remove the media items view and only keep the "form".
   *
   * @param \Drupal\media_library\MediaLibraryState $state
   *   The current state of the media library, derived from the current request.
   *
   * @return array
   *   The render array for the media library.
   */
  protected function buildLibraryContent(MediaLibraryState $state) {
    $build = parent::buildLibraryContent($state);

    // Remove the view listing for Fotoweb assets.
    if ($state->getSelectedTypeId() === 'fotoweb') {
      unset($build['view']);
    }

    return $build;
  }

}
